package com.pcloud.book.keywords.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/5/6 10:56
 */
public class SendMessageDTO implements Serializable {
    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("图片地址")
    private String picUrl;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("描述信息")
    private String description;

    @ApiModelProperty("回复类型 1 文字 2 图片 3 链接  4 应用")
    private Integer replyType;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public String getLinkUrl() {
        return linkUrl;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getReplyType() {
        return replyType;
    }

    public void setReplyType(Integer replyType) {
        this.replyType = replyType;
    }

    @Override
    public String toString() {
        return "SendMessageDTO{" +
                "content='" + content + '\'' +
                ", picUrl='" + picUrl + '\'' +
                ", linkUrl='" + linkUrl + '\'' +
                ", description='" + description + '\'' +
                ", replyType=" + replyType +
                '}';
    }
}
